WaifuRushWaifuRush
Loading图生视频、无缝循环、动态壁纸和视频续写,以及角色图片包和字幕,都可以在您自己的代码中调用。与工作室相同的模型和价格,用积分支付,无需管理 GPU。
# 1. Get an upload URL, then PUT the image to it
curl https://waifurush.com/api/v1/uploads \
-H "Authorization: Bearer $WR_KEY" \
-H "Content-Type: application/json" \
-d '{"filename":"mika.png","mime":"image/png","size":482113}'
curl -X PUT "$UPLOAD_URL" -H "Content-Type: image/png" \
--data-binary @mika.png
# 2. Create the video
curl https://waifurush.com/api/v1/videos \
-H "Authorization: Bearer $WR_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: mika-001" \
-d '{"mode":"videoPro","image":"'$UPLOAD_ID'","duration":8}'{
"id": "5f0c2a8e-3b1d-4c7a-9e21-8d4b6f1a0c37",
"object": "video",
"mode": "videoPro",
"status": "succeeded",
"progress": 1,
"cost": 32,
"outputs": [{
"type": "video",
"url": "https://media.waifurush.com/…/video_web.mp4",
"width": 720, "height": 1280,
"download_url": "https://waifurush.com/api/v1/videos/5f0c…/content"
}],
"error": null
}